%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FREQUENCY-DOMAIN MULTIVARIATE ANALYSIS (c) 2008 
% http://www.fdm.uni-freiburg.de
%
%% Default settings for FDMa parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Select FDMa version
parameters.FDMaversion= 1;
% Switch on/off analysis
parameters.analyzing= 1;
% Switch on/off output messages
parameters.silent= 0;
% Path for result files, in thes folder a folder <savefilename will be created>
parameters.resultspath= sprintf('FDMa_output');

%------Analysis parameters---------------------------------------
% Sampling frequency in Hertz
parameters.Fs= 1024;
% Subsampling factor
parameters.Ldo= 1;
% Frequencies at which the graph will be computed, if empty no graph files are produced
parameters.f0= [];
% Overall significance level
parameters.siglev0= 0.05;
% Override order selection, if 0 order estimation by the SIC
parameters.P0= 0;
% Maximum order
parameters.Pmax= 30;
% Override smoother design. Give half smoother width in Hertz, if 0 autmatic smoother design
parameters.h0Hz= 0;

%------Plot partameters-------------------------------------------
% Switch plotting on/off
parameters.plotting= 1;
% Tick spacing
parameters.deltaT= .5;% sec
parameters.deltaF= 128;% Hz
% Max. plotting frequency
parameters.plotmaxfreq= parameters.Fs/2;
% Amplitude range for plotting (dB)
parameters.dynrange= 40;
% Switch on/off plotting of main diagonal in the measures
parameters.plot_diag= 1;
% Switch on/off plotting of zoomed .pdf
parameters.plot_zoom= 0;
% Switch on/off plotting of grid
parameters.plot_grid = 0;
% Switch on/off plotting of .fig
parameters.plot_fig = 0;
% Switch on/off plotting of some diagnpstic info (taper, smoother, etc.)
parameters.plot_diagnosis= 1;
% Switch on/off plotting of minimal labels
parameters.plot_minimal_labels= 1;
% Switch on/off plotting of tests at frequencies f0 (green lines and stars)
parameters.plot_f0= 1;
scrsz= get(0, 'ScreenSize');
parameters.position_SIG   = [1            2*scrsz(4)/3   scrsz(3)/2  scrsz(4)/3 ];

parameters.position_SMP   = [scrsz(3)/2   2*scrsz(4)/3   scrsz(3)/4  scrsz(4)/3 ];
parameters.position_VAR   = [3*scrsz(3)/4 2*scrsz(4)/3   scrsz(3)/4  scrsz(4)/3 ];

parameters.position_COH   = [1            scrsz(4)/3     scrsz(3)/3  scrsz(4)/3 ];
parameters.position_PDC   = [scrsz(3)/3   scrsz(4)/3     scrsz(3)/3  scrsz(4)/3 ];

%------Graph parameters--------------------------------------------
% Switch graphing on/off
parameters.graphing= 0;
% Filetype of output of graphviz 
parameters.filetype= 'ps';
parameters.graphstyle= 'circo';
parameters.graphstyle= 'dot';
parameters.graphstyle= 'neato';
parameters.edge_weight_factor= 3;
parameters.node_labels= {'X1', 'X2', 'X3', 'X4', 'X5', 'X6', 'X7', 'X8', 'X9', 'X10', 'X11', 'X12'};
parameters.node_colors= {'black', 'black', 'black', 'black', 'black', 'black', 'black', 'black', 'black', 'black', 'black', 'black'};
parameters.node_slot= {};
parameters.node_positions= {};

%------LaTeX parameters--------------------------------------------      
% Switch latexing on/off
parameters.latexing= 1;
