function   FDMa_latex(parameters, savefilename)
% function FDMa_latex(parameters, savefilename)
%
% FREQUENCY-DOMAIN MULTIVARIATE ANALYSIS (c) 2008 
% http://www.fdm.uni-freiburg.de
%

ppp= which('FDMa');
ppp= [ppp(1:end-6) 'dummy.ps'];

vars= genvarname(fieldnames(parameters));
for i= 1:length(vars)
   eval([vars{i} '= parameters.(vars{i});'])
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Load the results 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load(savefilename)
vars= genvarname(fieldnames(results));
for i= 1:length(vars)
   eval([vars{i} '= results.(vars{i});'])
end

Fs= Fs/Ldo;

cd('..');

latexfilename= sprintf('%s.tex', savefilename);

%latexfilename= sprintf('%s/%s.tex', resultspath, savefilename)
fid = fopen(latexfilename, 'wt');
fprintf(fid, '\\documentclass[11pt,a4paper,onecolumn,rotate]{IEEEtran}\n');
fprintf(fid, '\\usepackage{graphicx}\n');
fprintf(fid, '\\usepackage{lscape}\n');
fprintf(fid, '\\usepackage{psfrag}\n');
fprintf(fid, '\\begin{document}\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Arragne the signal and spectra
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid, '\n\n\n\n%%*******************************************************************************\n');
fprintf(fid, '%% FIGURE WITH SIGNAL, SMOOTHED PERIODOGRAM AND VAR SPECTRUM %s\n',  savefilename);
fprintf(fid, '%%*******************************************************************************\n');
width= 20;% Corresponds to one twelfth of the textwidth
fprintf(fid, '%%----------------------------\n');
fprintf(fid, '\\begin{landscape}\n');
fprintf(fid, '\\begin{figure}[t]\n');

fprintf(fid, '  \\begin{tabular}{cccccccccccc}\n');
fprintf(fid, '    \\multicolumn{12}{c}{\\fbox{\\vspace*{5mm}\\includegraphics[width=%fmm,height=%fmm]{%s/%s-SIG.eps}}}\\\\[5mm]\n' , 12*width, 3*width, savefilename, savefilename);
fprintf(fid, '    \\multicolumn{ 6}{c}{\\fbox{\\includegraphics[width=%fmm,height=%fmm]{%s/%s-SMP.eps}}}$\\quad$ &\n',  6*width, 3*width, savefilename, savefilename);
fprintf(fid, '    \\multicolumn{ 6}{c}{\\fbox{\\includegraphics[width=%fmm,height=%fmm]{%s/%s-VAR.eps}}}\\\\[5mm]\n' ,  6*width, 3*width, savefilename, savefilename);
fprintf(fid, '  \\end{tabular}\n');
fprintf(fid, '  \\caption{%s, Signal, Spectral Estimate and VAR Spectral Estimate. }\n', FDMa_underlineescape(savefilename));
fprintf(fid, '  \\label{fig:%sfig1}\n', savefilename);
fprintf(fid, '\\end{figure}\n');
fprintf(fid, '\\end{landscape}\n');
fprintf(fid, '%%----------------------------\n');
fprintf(fid, '\\clearpage\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Arragne the measures and graphs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid, '\n\n\n\n%%*******************************************************************************\n');
fprintf(fid, '%% FIGURE WITH THE INTERACTION MEASUERES %s\n',  savefilename);
fprintf(fid, '%%*******************************************************************************\n');
fprintf(fid, '%%----------------------------\n');
if(length(f0)>2 || length(f0)==0)
fprintf(fid, '\\begin{landscape}\n');
width= 20;% Corresponds to one twelfth of the textwidth
else
width= 12;% Corresponds to one twelfth of the textwidth
end
fprintf(fid, '\\begin{figure}[t]\n');
fprintf(fid, '  \\begin{tabular}{ccc}\n');

%% COH and PC
fprintf(fid, '  \\fbox{\n');
fprintf(fid, '  \\begin{tabular}{c}\n');
fprintf(fid, '    \\includegraphics[width=%fmm,height=%fmm]{%s/%s-COH.eps}\\\\\n', 5.7*width, 3*width, savefilename, savefilename);
for b= 1:length(f0)   
fprintf(fid, '    \\includegraphics[width=%fmm]{%s/%s-%s-graph-%04d.ps}\n'       , 5.5*width/length(f0), savefilename, savefilename, 'COH', floor(f0(b)));
end
fprintf(fid, '   \\\\\n');
for b= 1:length(f0)
fprintf(fid, '    \\includegraphics[width=%fmm]{%s/%s-%s-graph-%04d.ps}\n'       , 5.5*width/length(f0), savefilename, savefilename, 'PC', floor(f0(b)));
end
fprintf(fid, '   \\\\\n');
fprintf(fid, '  \\end{tabular}\n');
fprintf(fid, '  }\n');

%% PDC
fprintf(fid, '  \\fbox{\n');
fprintf(fid, '  \\begin{tabular}{c}\n');
fprintf(fid, '    \\includegraphics[width=%fmm,height=%fmm]{%s/%s-PDC.eps}\\\\\n', 5.7*width, 3*width, savefilename, savefilename);
for b= 1:length(f0)   
fprintf(fid, '    \\includegraphics[width=%fmm]{%s/%s-%s-graph-%04d.ps}\n'       , 5.5*width/length(f0), savefilename, savefilename, 'PDC', floor(f0(b)));
end
fprintf(fid, '   \\\\\n');
for b= 1:length(f0)   
fprintf(fid, '    \\includegraphics[width=%fmm]{%s}\n'                           , 5.5*width/length(f0), ppp);
end
fprintf(fid, '   \\\\\n');
fprintf(fid, '  \\end{tabular}\n');
fprintf(fid, '  }\n');
fprintf(fid, '  \\end{tabular}\n');
fprintf(fid, '  \\caption{%s, Coherence and Partial Coherence, and Partial Directed Coherence. }\n', FDMa_underlineescape(savefilename));
fprintf(fid, '  \\label{fig:%sfig2}\n', savefilename);
fprintf(fid, '\\end{figure}\n');
if(length(f0)>2 || length(f0)==0)
fprintf(fid, '\\end{landscape}\n');
end
fprintf(fid, '%%----------------------------\n');
fprintf(fid, '\\clearpage\n');
fprintf(fid, '\\end{document}\n');
fclose(fid);






%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function savefilename1= FDMa_underlineescape(savefilename)
savefilename1= [];
for i= 1:length(savefilename)
   if(savefilename(i)=='_')
      savefilename1= [savefilename1 '\_'];
   else
      savefilename1= [savefilename1 savefilename(i)];
   end
end
