%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  FDMa_plotmatrix(PLOTMATRIX, PLOTMATRIXsig, PLOTMATRIXtitlelower, PLOTMATRIXtitleupper, PLOTMATRIXdiagtitle, axes_psd, axes_coh, frequency_ticks, frequency_labels, parameters)
% Plot a matrix: PLOTMATRIX and PLOTMATRIXsig, PLOTMATRIXtitle, PLOTMATRIXdiagtitle

vars= genvarname(fieldnames(parameters));
for i= 1:length(vars)
   eval([vars{i} '= parameters.(vars{i});'])
end
for d1= 1:D
   for d2= 1:D
      subplot(D, D, (d1-1)*D+d2, 'align');
      if(d1~=d2)
         cla;hold on
         plot(squeeze(PLOTMATRIX(d1, d2, :))    , 'Color', 'k', 'LineWidth', 2)
         plot(squeeze(PLOTMATRIXsig(d1, d2, :)) , 'Color', 'r', 'LineWidth', 1)
         axis(axes_coh)
         set(gca, 'XTick', frequency_ticks)
         set(gca, 'XTickLabel', frequency_labels)
         set(gca, 'YTick', 0:.5:1)
         set(gca, 'YTickLabel', {'0.0', '0.5', '1.0'})
         if(plot_minimal_labels)
            if(d1<D || d2>1);set(gca, 'XTickLabel', []);end
            if(d2~=1);set(gca, 'YTickLabel', []);end
            if(d1==D && d2==D)
               text(3*axes_psd(2)/4, 10*axes_psd(3), 'f')
            end
         end
         if(plot_grid), grid on;end
         box on
         if(~isempty(f0) && plot_f0)
            line([freq2bin(f0(:), parameters)'; freq2bin(f0(:), parameters)'], (ones(size(f0(:)))*axes_coh(3:4))', 'Color', 'g', 'LineStyle', '--')
            for b= 1:length(f0)
               if(PLOTMATRIX(d1, d2, freq2bin(f0(b), parameters))>PLOTMATRIXsig(d1, d2, freq2bin(f0(b), parameters)))
                  plot(freq2bin(f0(b), parameters), 1, '*g')
               end
            end
         end
      else%if(d1~=d2)
      if(plot_diag)
         cla;hold on
         plot(abs(squeeze(PLOTMATRIX(d1, d2, :))), 'Color', 'k', 'LineWidth', 2)
         set(gca, 'YScale', 'log')
         axis(axes_psd)
         set(gca, 'YTick', 10.^(-10:10))
         set(gca, 'XTick', frequency_ticks)
         set(gca, 'XTickLabel', frequency_labels)
         if(plot_minimal_labels)
            if(d1<D || d2>1);set(gca, 'XTickLabel', []);end
            if(d2~=1);set(gca, 'YTickLabel', []);end
         end
         if(plot_grid);grid on;end
         box on
         title(sprintf('%s%d%d', PLOTMATRIXdiagtitle, d1, d2))
      else
         axis off
         text(.5, .5, sprintf('D%d', d1))
      end
      end%if(d1~=d2)
      if(d1>d2)
         title(sprintf('%s%d%d', PLOTMATRIXtitlelower, d1, d2))
         ylabel(sprintf('y%s%d%d', PLOTMATRIXtitlelower, d1, d2))
      end
      if(d1<d2)
         title(sprintf('%s%d%d', PLOTMATRIXtitleupper, d1, d2))
         ylabel(sprintf('y%s%d%d', PLOTMATRIXtitleupper, d1, d2))
      end
      if(d1==d2)
         title(sprintf('%s%d%d', PLOTMATRIXdiagtitle, d1, d2))
         ylabel(sprintf('y%s%d%d', PLOTMATRIXdiagtitle, d1, d2))
      end
      if(d1==D && d2==1);xlabel('freq');end
   end%for d2= 1:D
end%for d1= 1:D
drawnow
